Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
rapidjson::CrtAllocator Class Reference

C-runtime library allocator. More...

`#include <allocators.h>`

## Public Member Functions
void * | Malloc (size_t size)
void * | Realloc (void *originalPtr, size_t originalSize, size_t newSize)

## Static Public Member Functions
static void | Free (void *ptr)

## Static Public Attributes
static const bool | kNeedFree = true

## Detailed Description

C-runtime library allocator.

This class is just wrapper for standard C library memory routines.

Note
  implements Allocator concept

The documentation for this class was generated from the following file:

- include/rapidjson/allocators.h